org.apache.struts2.interceptor.debugging

## Class PrettyPrintWriter

- java.lang.Object
- - org.apache.struts2.interceptor.debugging.PrettyPrintWriter

-     public class PrettyPrintWriter
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrettyPrintWriter(Writer writer)`
    `PrettyPrintWriter(Writer writer, char[] lineIndenter)`
    `PrettyPrintWriter(Writer writer, char[] lineIndenter, String newLine)`
    `PrettyPrintWriter(Writer writer, String lineIndenter)`
    `PrettyPrintWriter(Writer writer, String lineIndenter, String newLine)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttribute(String key, String value)`
    `void` | `close()`
    `void` | `endNode()`
    `protected void` | `endOfLine()`
    `void` | `flush()`
    `boolean` | `isEscape()`
    `void` | `setEscape(boolean escape)`
    `void` | `setValue(String text)`
    `void` | `startNode(String name)`
    `protected void` | `writeAttributeValue(PrintWriter writer, String text)`
    `protected void` | `writeText(PrintWriter writer, String text)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrettyPrintWriter

          public PrettyPrintWriter(Writer writer,
                                   char[] lineIndenter,
                                   String newLine)

    - #### PrettyPrintWriter

          public PrettyPrintWriter(Writer writer,
                                   char[] lineIndenter)

    - #### PrettyPrintWriter

          public PrettyPrintWriter(Writer writer,
                                   String lineIndenter,
                                   String newLine)

    - #### PrettyPrintWriter

          public PrettyPrintWriter(Writer writer,
                                   String lineIndenter)

    - #### PrettyPrintWriter

          public PrettyPrintWriter(Writer writer)

  - ### Method Detail

    - #### startNode

          public void startNode(String name)

    - #### setValue

          public void setValue(String text)

    - #### addAttribute

          public void addAttribute(String key,
                                   String value)

    - #### writeAttributeValue

          protected void writeAttributeValue(PrintWriter writer,
                                             String text)

    - #### writeText

          protected void writeText(PrintWriter writer,
                                   String text)

    - #### endNode

          public void endNode()

    - #### endOfLine

          protected void endOfLine()

    - #### flush

          public void flush()

    - #### close

          public void close()

    - #### isEscape

          public boolean isEscape()

    - #### setEscape

          public void setEscape(boolean escape)

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.